# Uses of Interface
classycle.dependency.Result

Packages that use Result
Package
Description
classycle.dependency

## Uses of Result in classycle.dependency

Classes in classycle.dependency that implement Result
Modifier and Type
Class
Description
`class`
`CyclesResult`
Result of a cyclic check.
`class`
`DependencyResult`
Result of a dependency check.
`class`
`ResultContainer`
Container of `Result` instances.
`class`
`TextResult`
Result as a text.
Methods in classycle.dependency that return Result
Modifier and Type
Method
Description
`Result`
DependencyChecker.`check()`
Checks the graph.
`Result`
CheckCyclesStatement.`execute(AtomicVertex[] graph)`
`Result`
CheckSetStatement.`execute(AtomicVertex[] graph)`
`Result`
DependencyStatement.`execute(AtomicVertex[] graph)`
`Result`
LayeringStatement.`execute(AtomicVertex[] graph)`
`Result`
ShowStatement.`execute(AtomicVertex[] graph)`
`Result`
Statement.`execute(AtomicVertex[] graph)`
`Result`
DependencyProcessor.`executeNextStatement(AtomicVertex[] graph)`
Executes the next unprocessed statement and returns its result.
`Result`
DefaultResultRenderer.`getDescriptionOfCurrentPreferences()`
`abstract Result`
ResultRenderer.`getDescriptionOfCurrentPreferences()`
`Result`
XMLResultRenderer.`getDescriptionOfCurrentPreferences()`
`Result`
ResultContainer.`getResult(int index)`
Returns the result with specified index.
Methods in classycle.dependency with parameters of type Result
Modifier and Type
Method
Description
`void`
ResultContainer.`add(Result result)`
Adds a result.
`String`
DefaultResultRenderer.`render(Result result)`
`abstract String`
ResultRenderer.`render(Result result)`
`String`
XMLResultRenderer.`render(Result result)`